package com.gic.auth.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
/**
 * 角色（权限）
 * @ClassName: RoleDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 9:24 AM 
 */
public class RoleDTO implements Serializable{

    private static final long serialVersionUID = -5062719637355988468L;

    public interface SaveRoleValid {
    }

    public interface EditRoleValid {
    }


    /**
     * id
     */
    @NotNull(message = "主键不能为空", groups = {EditRoleValid.class})
    private Integer roleId;

    /**
     * 管理员角色名称
     */
    @NotBlank(message = "角色名称不能为空", groups = {SaveRoleValid.class, EditRoleValid.class})
    private String roleName;

    /**
     * 企业ID
     */
    @NotNull(message = "商户不能为空", groups = {SaveRoleValid.class})
    private Integer enterpriseId;

    /**
     * 状态1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 菜单ID，多个时，用英文逗号隔开
     */
    @NotBlank(message = "菜单不能为空", groups = {SaveRoleValid.class, EditRoleValid.class})
    private String menuIds;

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMenuIds() {
        return menuIds;
    }

    public void setMenuIds(String menuIds) {
        this.menuIds = menuIds;
    }

    @Override
    public String toString() {
        return "RoleDTO{" +
                "roleId=" + roleId +
                ", roleName='" + roleName + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", menuIds='" + menuIds + '\'' +
                '}';
    }
}
