package com.gic.auth.qo;

import java.util.List;

/**
 * 菜单权限树数据
 * @ClassName: MenuListQO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/17 4:47 PM 
 */
public class MenuListQO extends PageQO{
    private static final long serialVersionUID = -8958629938003355714L;
    /**
     * 页面名称/code
     */
    private String search;
    /**
     * 1:gic菜单 2：app菜单
     */
    private Integer isGIC;
    /**
     * 0:页面 1：权限项 2：操作项
     */
    private Integer menuType;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 应用
     */
    private String project;
    /**
     * 是否需要更新应用列表数据
     */
    private boolean needUpdateAppMenu;
    /**
     * 商户版本
     */
    private String versionCode;

    /**
     * 逐级展开的方式，所以需要传ID，如果不传，默认查询第一层级，即level = 1
     */
    private Integer menuId;

    /**
     * 1:管理员权限集 2:商户级超管及达摩侧人员 3:仅达摩侧人员
     */
    private List<Integer> authTypeList;

    /**
     * 0:gic 1:好办后台 2：好办小程序 3:好办应用 4：好办小程序应用
     */
    private Integer platformType;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getIsGIC() {
        return isGIC;
    }

    public void setIsGIC(Integer isGIC) {
        this.isGIC = isGIC;
    }

    public Integer getMenuType() {
        return menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public boolean isNeedUpdateAppMenu() {
        return needUpdateAppMenu;
    }

    public void setNeedUpdateAppMenu(boolean needUpdateAppMenu) {
        this.needUpdateAppMenu = needUpdateAppMenu;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public List<Integer> getAuthTypeList() {
        return authTypeList;
    }

    public MenuListQO setAuthTypeList(List<Integer> authTypeList) {
        this.authTypeList = authTypeList;
        return this;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public MenuListQO setPlatformType(Integer platformType) {
        this.platformType = platformType;
        return this;
    }
}
