package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AuditorAuditedGroupRelDTO;
import com.gic.auth.entity.TabAuditorAuditedGroupRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName: TabAuditorAuditedGroupRelMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:39
 */
public interface TabAuditorAuditedGroupRelMapper {
    /**
     * 根据主键删除
     *
     * @param auditorAuditedGroupRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditorAuditedGroupRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditorAuditedGroupRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditorAuditedGroupRel record);

    /**
     * 根据主键查询
     *
     * @param auditorAuditedGroupRelId 主键
     * @return 实体对象
     */
    TabAuditorAuditedGroupRel selectByPrimaryKey(Integer auditorAuditedGroupRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditorAuditedGroupRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditorAuditedGroupRel record);

    /**
     * delRel
     * @Title: delRel
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return int
     * @throws
     */
    int delRel(@Param("auditedGroupId") Integer auditedGroupId);

    /**
     * delByAuditorId
     * @Title: delByAuditorId
     * @Description:
     * @author zhiwj
     * @param auditorId
     * @return void
     * @throws
     */
    void delByAuditorId(@Param("auditorId") Integer auditorId);

    /**
     * insertSelectiveByNotExist
     * @Title: insertSelectiveByNotExist
     * @Description:
     * @author zhiwj
     * @param itemRel
     * @return void
     * @throws
     */
    void insertSelectiveByNotExist(TabAuditorAuditedGroupRel itemRel);

    /**
     * updateStatusByAuditedGroupIds
     * @Title: updateStatusByAuditedGroupIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param auditorId
     * @param auditedGroupIdList
     * @return void
     * @throws
     */
    void updateStatusByAuditedGroupIds(@Param("enterpriseId") Integer enterpriseId, @Param("auditorId") Integer auditorId, @Param("ids") List<Integer> auditedGroupIdList);

    /**
     * listRel
     * @Title: listRel
     * @Description:
     * @author zhiwj
     * @param auditorAuditedGroupRel
     * @return java.util.List<com.gic.auth.entity.TabAuditorAuditedGroupRel>
     * @throws
     */
    List<TabAuditorAuditedGroupRel> listRel(AuditorAuditedGroupRelDTO auditorAuditedGroupRel);

    /**
     * getCountByAuditorIds
     * @Title: getCountByAuditorIds
     * @Description:
     * @author zhiwj
     * @param auditorIdList
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    List<Map<String,Object>> getCountByAuditorIds(@Param("ids") List<Integer> auditorIdList);

    /**
     * listRelByAuditedGroupIdAndAuditId
     * @Title: listRelByAuditedGroupIdAndAuditId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param auditedGroupIds
     * @param projectAuditorIds
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listRelByAuditedGroupIdAndAuditId(@Param("enterpriseId") Integer enterpriseId, @Param("auditedGroupIds") List<Integer> auditedGroupIds, @Param("projectAuditorIds") List<Integer> projectAuditorIds);


}