package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabAuditorProjectItemRel;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName: TabAuditorProjectItemRelMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:39
 */
public interface TabAuditorProjectItemRelMapper {
    /**
     * 根据主键删除
     *
     * @param auditorProjectItemRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditorProjectItemRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditorProjectItemRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditorProjectItemRel record);

    /**
     * 根据主键查询
     *
     * @param auditorProjectItemRelId 主键
     * @return 实体对象
     */
    TabAuditorProjectItemRel selectByPrimaryKey(Integer auditorProjectItemRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditorProjectItemRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditorProjectItemRel record);

    /**
     * delByAuditorId 
     * @Title: delByAuditorId
     * @Description: 
     * @author zhiwj 
     * @param auditorId
     * @return int
     * @throws 
     */
    int delByAuditorId(@Param("auditorId") Integer auditorId);

    /**
     * delRelByProjectItemId 
     * @Title: delRelByProjectItemId
     * @Description: 
     * @author zhiwj 
     * @param projectItemId
     * @return int
     * @throws 
     */
    int delRelByProjectItemId(@Param("projectItemId") Integer projectItemId);

    /**
     * insertSelectiveByNotExist 
     * @Title: insertSelectiveByNotExist
     * @Description: 
     * @author zhiwj 
     * @param itemRel
     * @return int
     * @throws 
     */
    int insertSelectiveByNotExist(TabAuditorProjectItemRel itemRel);

    /**
     * updateStatusByProjectItemIds 
     * @Title: updateStatusByProjectItemIds
     * @Description: 
     * @author zhiwj 
     * @param enterpriseId
     * @param auditorId
     * @param projectItemList
     * @return int
     * @throws 
     */
    int updateStatusByProjectItemIds(@Param("enterpriseId") Integer enterpriseId, @Param("auditorId") Integer auditorId, @Param("ids") List<Integer> projectItemList);

    /**
     * listRelByAuditorId 
     * @Title: listRelByAuditorId
     * @Description: 
     * @author zhiwj 
     * @param auditorProjectItemRel
     * @return java.util.List<com.gic.auth.entity.TabAuditorProjectItemRel>
     * @throws 
     */
    List<TabAuditorProjectItemRel> listRelByAuditorId(TabAuditorProjectItemRel auditorProjectItemRel);

    /**
     * getCountByAuditorIds 
     * @Title: getCountByAuditorIds
     * @Description: 
     * @author zhiwj 
     * @param auditorIdList
     * @return java.util.Map<java.lang.Integer,java.util.Map<java.lang.Integer,java.lang.Long>>
     * @throws 
     */
    @MapKey("auditorId")
    Map<Integer, Map<Integer,Long>> getCountByAuditorIds(@Param("ids") List<Integer> auditorIdList);

    /**
     * listAuditorIdByProjectItemId 
     * @Title: listAuditorIdByProjectItemId
     * @Description: 
     * @author zhiwj 
     * @param enterpriseId
     * @param projectItemId
     * @return java.util.List<java.lang.Integer>
     * @throws 
     */
    List<Integer> listAuditorIdByProjectItemId(@Param("enterpriseId") Integer enterpriseId, @Param("projectItemId") Integer projectItemId);

}