package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysAuthCode;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysAuthCodeMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:39
 */
public interface TabSysAuthCodeMapper {
    /**
     * 根据主键删除
     *
     * @param authCodeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer authCodeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysAuthCode record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysAuthCode record);

    /**
     * 根据主键查询
     *
     * @param authCodeId 主键
     * @return 实体对象
     */
    TabSysAuthCode selectByPrimaryKey(Integer authCodeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysAuthCode record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysAuthCode record);
    
    /**
     * getAuthCode 
     * @Title: getAuthCode
     * @Description: 
     * @author zhiwj 
     * @param enterpriseId
     * @param relationId
     * @return java.util.List<com.gic.auth.entity.TabSysAuthCode>
     * @throws 
     */
    List<TabSysAuthCode> getAuthCode(@Param("enterpriseId") Integer enterpriseId, @Param("relationId") Integer relationId);
}