package com.gic.auth.dao.mapper;

import com.gic.auth.dto.MenuAuthDepartDTO;
import com.gic.auth.entity.TabSysMenuAuthDepart;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysMenuAuthDepartMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:40
 */
public interface TabSysMenuAuthDepartMapper {
    /**
     * 根据主键删除
     *
     * @param menuDepartId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer menuDepartId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysMenuAuthDepart record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysMenuAuthDepart record);

    /**
     * 根据主键查询
     *
     * @param menuDepartId 主键
     * @return 实体对象
     */
    TabSysMenuAuthDepart selectByPrimaryKey(Integer menuDepartId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysMenuAuthDepart record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysMenuAuthDepart record);

    /**
     * saveFetch
     * @Title: saveFetch
     * @Description:
     * @author zhiwj
     * @param list
     * @return void
     * @throws
     */
    void saveFetch(@Param("list") List<MenuAuthDepartDTO> list);

    /**
     * deleteByMenuCode
     * @Title: deleteByMenuCode
     * @Description:
     * @author zhiwj
     * @param menuCode
     * @return void
     * @throws
     */
    void deleteByMenuCode(String menuCode);

    /**
     * listAuthDepartByMenuCode
     * @Title: listAuthDepartByMenuCode
     * @Description:
     * @author zhiwj
     * @param menuCode
     * @return java.util.List<com.gic.auth.entity.TabSysMenuAuthDepart>
     * @throws
     */
    List<TabSysMenuAuthDepart> listAuthDepartByMenuCode(String menuCode);

    /**
     * listAllAuthDepart
     * @Title: listAllAuthDepart
     * @Description:
     * @author zhiwj
     * @param menuCodeList
     * @return java.util.List<com.gic.auth.entity.TabSysMenuAuthDepart>
     * @throws
     */
    List<TabSysMenuAuthDepart> listAllAuthDepart(@Param("list") List<String> menuCodeList);
}