package com.gic.auth.dao.mapper;

import com.gic.auth.dto.MenuRoleDTO;
import com.gic.auth.entity.TabSysMenuRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysMenuRoleMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:41
 */
public interface TabSysMenuRoleMapper {
    /**
     * 根据主键删除
     *
     * @param menuRoleId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer menuRoleId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysMenuRole record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysMenuRole record);

    /**
     * 根据主键查询
     *
     * @param menuRoleId 主键
     * @return 实体对象
     */
    TabSysMenuRole selectByPrimaryKey(Integer menuRoleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysMenuRole record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysMenuRole record);

    /**
     * 删除角色菜单
     * @Title: deleteByRoleId 
     * @Description:
      * @author guojuxing
     * @param roleId 
     * @return  int 
      */
    int deleteByRoleId(@Param("roleId") Integer roleId);

    /**
     * 批量插入
     * @Title: insertForeach 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  int 
      */
    int insertForeach(@Param("list") List<MenuRoleDTO> list);

    /**
     * 根据角色ID查询列表
     * @Title: listMenuRoleByRoleId 
     * @Description:
      * @author guojuxing
     * @param roleId 
     * @return  java.util.List<com.gic.auth.dto.MenuRoleDTO> 
      */
    List<TabSysMenuRole> listMenuRoleByRoleId(@Param("roleId") Integer roleId);

    /**
     * 根据角色ID查询列表
     * @Title: listMenuRoleByRoleIdList 
     * @Description:
      * @author guojuxing
     * @param roleIdList 
     * @return  java.util.List<com.gic.auth.entity.TabSysMenuRole> 
      */
    List<TabSysMenuRole> listMenuRoleByRoleIdList(@Param("list") List<Integer> roleIdList);
}