package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysOperationUser;
import org.apache.ibatis.annotations.Param;

/**
 * 
 * @ClassName: TabSysOperationUserMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:41
 */
public interface TabSysOperationUserMapper {
    /**
     * 根据主键删除
     *
     * @param operationUserId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer operationUserId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysOperationUser record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysOperationUser record);

    /**
     * 根据主键查询
     *
     * @param operationUserId 主键
     * @return 实体对象
     */
    TabSysOperationUser selectByPrimaryKey(Integer operationUserId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysOperationUser record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysOperationUser record);

    /**
     * 手机号码查询运营
     * @Title: getByPhone 
     * @Description:
      * @author guojuxing
     * @param phone 
     * @param enterpriseId
     * @return  com.gic.auth.entity.TabSysOperationUser 
      */
    TabSysOperationUser getByPhone(@Param("phone") String phone, @Param("enterpriseId") Integer enterpriseId);
}