package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysUserRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabSysUserRoleMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:45
 */
public interface TabSysUserRoleMapper {
    /**
     * 根据主键删除
     *
     * @param userRoleId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer userRoleId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUserRole record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUserRole record);

    /**
     * 根据主键查询
     *
     * @param userRoleId 主键
     * @return 实体对象
     */
    TabSysUserRole selectByPrimaryKey(Integer userRoleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUserRole record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUserRole record);

    /**
     * 删除用户关联数据
     * @Title: deleteByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  int 
      */
    int deleteByUserId(@Param("userId") Integer userId);
    /**
     * 查询用户关联数据
     * @Title: listUserRoleByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  java.util.List<com.gic.auth.entity.TabSysUserRole> 
      */
    List<TabSysUserRole> listUserRoleByUserId(@Param("userId") Integer userId);

    /**
     * 根据角色查询用户角色
     * @Title: listUserRoleByRoleId 
     * @Description: 
      * @author guojuxing 
     * @param roleId 
     * @return  java.util.List<com.gic.auth.entity.TabSysUserRole> 
      */
    List<TabSysUserRole> listUserRoleByRoleId(@Param("roleId") Integer roleId);
}