package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysAuthCodeMapper;
import com.gic.auth.entity.TabSysAuthCode;
import com.gic.auth.service.AuthCodeService;
import com.gic.enterprise.constants.Constants;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * 
 * @ClassName: AuthCodeServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:36
 */
@Service("authCodeService")
public class AuthCodeServiceImpl implements AuthCodeService {
    @Autowired
    private TabSysAuthCodeMapper tabSysAuthCodeMapper;
    @Override
    public int saveAuthCode(TabSysAuthCode tabSysAuthCode) {
        this.tabSysAuthCodeMapper.insert(tabSysAuthCode);
        return tabSysAuthCode.getAuthCodeId();
    }

    @Override
    public int expireAuthCode(Integer authCodeId) {
        TabSysAuthCode tabSysAuthCode = new TabSysAuthCode();
        tabSysAuthCode.setAuthCodeId(authCodeId);
        tabSysAuthCode.setStatus(Constants.DEL_STATUS);
        return this.tabSysAuthCodeMapper.updateByPrimaryKeySelective(tabSysAuthCode);
    }

    @Override
    public TabSysAuthCode getAuthCode(Integer enterpriseId, Integer relationId) {
        List<TabSysAuthCode> list = this.tabSysAuthCodeMapper.getAuthCode(enterpriseId, relationId);
        if(CollectionUtils.isNotEmpty(list)){
            return list.get(0);
        }
        return null;
    }

    @Override
    public TabSysAuthCode getAuthCode(Integer authCodeId) {
        return this.tabSysAuthCodeMapper.selectByPrimaryKey(authCodeId);
    }
}
